AccessEntry (CMDB Model API)
Keywords: com.collation.platform.model.discovery.auth.AccessEntry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.auth
Interface AccessEntry

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  DefaultAccessEntry, ProfileAccessEntry

    public interface AccessEntry

extends ModelObject

Configuration for a AccessEntry

Naming Rules:
  0="name,type"
Persistable:
  true
Table Name:
  ACCSENTR
Display Name:
  name

Method Summary
`byte[]` | `getAuth()` encrypted auth
`java.lang.String` | `getName()` MD5 hashed name
`java.lang.String` | `getType()` MD5 hashed type
`boolean` | `hasAuth()`
`boolean` | `hasName()`
`boolean` | `hasType()`
`void` | `setAuth(byte[] auth)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  MD5 hashed name

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  MD5 hashed type

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getAuth

    byte[] getAuth()
                   throws AttributeNotSetException

  encrypted auth

  Throws:
    `AttributeNotSetException`

### setAuth

    void setAuth(byte[] auth)

### hasAuth

    boolean hasAuth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD